Subject: [alpine-aports] [PATCH] testing/ejabberd: update to 15.02

From: John Regan <[email-masked]>
Date: Thu, 19 Feb 2015 10:33:13 -0500

---
 testing/ejabberd/APKBUILD                  | 79 ++++++++++++++++++++++++++++++
 testing/ejabberd/ejabberd.confd            |  5 ++
 testing/ejabberd/ejabberd.initd            | 47 ++++++++++++++++++
 testing/ejabberd/ejabberd.logrotate        | 12 +++++
 testing/ejabberd/ejabberd.pre-install      |  3 ++
 unmaintained/ejabberd/APKBUILD             | 47 ------------------
 unmaintained/ejabberd/ejabberd.confd       |  5 --
 unmaintained/ejabberd/ejabberd.initd       | 47 ------------------
 unmaintained/ejabberd/ejabberd.logrotate   | 12 -----
 unmaintained/ejabberd/ejabberd.pre-install |  3 --
 10 files changed, 146 insertions(+), 114 deletions(-)
 create mode 100644 testing/ejabberd/APKBUILD
 create mode 100644 testing/ejabberd/ejabberd.confd
 create mode 100644 testing/ejabberd/ejabberd.initd
 create mode 100644 testing/ejabberd/ejabberd.logrotate
 create mode 100644 testing/ejabberd/ejabberd.pre-install
 delete mode 100644 unmaintained/ejabberd/APKBUILD
 delete mode 100644 unmaintained/ejabberd/ejabberd.confd
 delete mode 100644 unmaintained/ejabberd/ejabberd.initd
 delete mode 100644 unmaintained/ejabberd/ejabberd.logrotate
 delete mode 100644 unmaintained/ejabberd/ejabberd.pre-install

diff --git a/testing/ejabberd/APKBUILD b/testing/ejabberd/APKBUILD
new file mode 100644
index 0000000..538d2fb
--- /dev/null
+++ b/testing/ejabberd/APKBUILD
@@ -0,0 +1,79 @@
+# Contributor: Leonardo Arena <[email-masked]>
+# Contributor: Francesco Colista <[email-masked]>
+# Maintainer: John Regan <[email-masked]>
+pkgname=ejabberd
+pkgver=15.02
+pkgrel=0
+pkgdesc="An erlang jabber server"
+url="http://www.ejabberd.im"
+arch="all"
+license="GPL2+"
+_erl_deps="erlang-asn1
+           erlang-crypto
+	   erlang-eldap
+	   erlang-mnesia
+	   erlang-public-key
+	   erlang-sasl
+	   erlang-syntax-tools"
+_erl_make_deps="erlang-eunit
+                erlang-parsetools"
+depends="erlang
+         util-linux
+	 yaml
+	 $_erl_deps"
+depends_dev="erlang-dev
+             expat-dev
+	     libiconv-dev
+	     openssl-dev
+	     zlib-dev 
+	     heimdal-dev
+	     yaml-dev
+	     git"
+makedepends="$depends_dev $_erl_deps $_erl_make_deps"
+pkgusers="ejabberd"
+pkggroups="ejabberd"
+install="$pkgname.pre-install"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.process-one.net/downloads/$pkgname/$pkgver/$pkgname-$pkgver.tgz
+        ejabberd.initd
+	ejabberd.logrotate
+	ejabberd.confd"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--localstatedir=/var \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+
+	install -d ${pkgdir}/var/spool/$pkgname
+	install -d ${pkgdir}/var/lib/$pkgname
+	install -D -m0644 "$srcdir"/$pkgname.logrotate ${pkgdir}/etc/logrotate.d/$pkgname
+	install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+	install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+	chown -R ejabberd.ejabberd "$pkgdir"/var/log/ejabberd
+	chown -R ejabberd.ejabberd "$pkgdir"/var/spool/ejabberd
+	chown -R ejabberd.ejabberd "$pkgdir"/var/lib/ejabberd
+	chgrp ejabberd "$pkgdir"/etc/ejabberd/ejabberd.yml "$pkgdir"/etc/ejabberd/ejabberdctl.cfg "$pkgdir"/etc/ejabberd
+}
+
+md5sums="3b01ff7bbce4456582e5f4a7455fc0a1  ejabberd-15.02.tgz
+e0ef3a939e87779737ce75469e79fef1  ejabberd.initd
+f97c8a96160f30e0aecc9526c12e6606  ejabberd.logrotate
+fa61d30731cb4d818187d2e5e2fd766a  ejabberd.confd"
+sha256sums="58cc6b9b512f2f495993be735a8313a8a0591157e0f35a9a3702b59ff9eb6beb  ejabberd-15.02.tgz
+1c07fa02152b42bee44a8d1cd3f031596aeee37276ec4a36d765e3c54aa23075  ejabberd.initd
+31780cac78736d285e46f445f8c8463a70f2aeb2683280c259129db11832ddd2  ejabberd.logrotate
+e1f690788cd1b5ecb334582af8e019602d297ef8b914a030de69bce2cc20fffd  ejabberd.confd"
+sha512sums="f469de228312fd537656b269a55cb5ad501936af3882a4fb32adc2559a5e925de378514d1b301701fef130c652a72e4eed0fbb315412686395cb95d189724ee8  ejabberd-15.02.tgz
+1142b4f1ca240f20603ca9a64819780ff4a1d9fbde2940fd1dab6cbca1d2de5108cf35aa00ff1c037dc72a778c6502521e3908c6cde5a39c4bb3c9fc1c70aceb  ejabberd.initd
+47fd2cfd9177c4e978a9799a153ba74392a9891822221af8194686a40f6bf01f38644833e1e1f5416c6357e0bfb7ca3dae96f55a4fcd7cd629ec798d85a72807  ejabberd.logrotate
+96a571c0ab2be366e931bda423a61ef920cbaba2107e61ddbc501472ce3efe2804418cc6579c99310b902a9a99aaecb9284cf2420c071dbca2f670efb4034135  ejabberd.confd"
diff --git a/testing/ejabberd/ejabberd.confd b/testing/ejabberd/ejabberd.confd
new file mode 100644
index 0000000..b92757a
--- /dev/null
+++ b/testing/ejabberd/ejabberd.confd
@@ -0,0 +1,5 @@
+# Please configure everything at /etc/ejabberd/ejabberdctl.cfg
+# Put here only command line arguments for ejabberdctl (if any are required)
+
+#EJABBERDCTL_OPTS=""
+
diff --git a/testing/ejabberd/ejabberd.initd b/testing/ejabberd/ejabberd.initd
new file mode 100644
index 0000000..2d6d44d
--- /dev/null
+++ b/testing/ejabberd/ejabberd.initd
@@ -0,0 +1,47 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-im/ejabberd/files/ejabberd-3.initd,v 1.3 2010/06/02 07:12:27 pva Exp $
+
+depend() {
+	use dns
+	need net
+	provide jabber-server
+}
+
+start() {
+	if ejabberdctl status >/dev/null 2>&1; then
+		ewarn "ejabberd is already started (manually?)."
+		return 0
+	fi
+	ebegin "Starting ejabberd"
+	/usr/sbin/ejabberdctl ${EJABBERDCTL_OPT} start
+	eend $?
+}
+
+stop() {
+	ejabberdctl status >/dev/null 2>&1
+	if test $? = 3; then
+		ewarn "ejabberd is already stopped (manually?)."
+		return 0
+	fi
+	ebegin "Stopping ejabberd"
+	if /usr/sbin/ejabberdctl stop >/dev/null 2>&1; then
+		cnt=0
+		sleep 1
+		while ejabberdctl status >/dev/null 2>&1 || test $? = 1; do
+			echo -n .
+			cnt=`expr $cnt + 1`
+			if [ $cnt -ge 60 ] ; then
+				eend 1
+				break
+			fi
+			sleep 1
+		done
+		eend 0
+	else
+		eend 1
+		einfo "Please, run '/usr/sbin/ejabberdctl stop' to see what's going on."
+	fi
+	eend 0
+}
diff --git a/testing/ejabberd/ejabberd.logrotate b/testing/ejabberd/ejabberd.logrotate
new file mode 100644
index 0000000..0306907
--- /dev/null
+++ b/testing/ejabberd/ejabberd.logrotate
@@ -0,0 +1,12 @@
+/var/log/ejabberd/ejabberd.log {
+     weekly
+     missingok
+     rotate 10
+     compress
+     delaycompress
+     ifempty
+     nomail
+     sharedscripts
+     postrotate ejabberdctl --node ejabberd reopen-log > /dev/null
+     endscript
+}
diff --git a/testing/ejabberd/ejabberd.pre-install b/testing/ejabberd/ejabberd.pre-install
new file mode 100644
index 0000000..4111b31
--- /dev/null
+++ b/testing/ejabberd/ejabberd.pre-install
@@ -0,0 +1,3 @@
+#!/bin/sh
+adduser -H -h /var/lib/ejabberd -G ejabberd -D ejabberd  2>/dev/null
+exit 0
diff --git a/unmaintained/ejabberd/APKBUILD b/unmaintained/ejabberd/APKBUILD
deleted file mode 100644
index 29979c4..0000000
--- a/unmaintained/ejabberd/APKBUILD
+++ /dev/null
@@ -1,47 +0,0 @@
-# Contributor: Leonardo Arena <[email-masked]>
-# Maintainer: Francesco Colista <[email-masked]>
-pkgname=ejabberd
-pkgver=2.1.13
-pkgrel=0
-pkgdesc="An erlang jabber server"
-url="http://www.ejabberd.im"
-arch="all"
-license="GPL2+"
-depends="erlang util-linux"
-depends_dev="erlang-dev expat-dev libiconv-dev openssl-dev zlib-dev heimdal-dev"
-makedepends="$depends_dev"
-pkgusers="ejabberd"
-pkggroups="ejabberd"
-install="$pkgname.pre-install"
-subpackages="$pkgname-dev $pkgname-doc"
-source="http://www.process-one.net/downloads/$pkgname/$pkgver/$pkgname-$pkgver.tgz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-build() {
-	cd "$_builddir"/src
-	./configure --prefix=/usr \
-		--sysconfdir=/etc \
-		--localstatedir=/var \
-		--mandir=/usr/share/man \
-		--infodir=/usr/share/info
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"/src
-	make DESTDIR="$pkgdir" install || return 1
-
-	install -d ${pkgdir}/var/spool/$pkgname
-	install -d ${pkgdir}/var/lib/$pkgname
-	install -D -m0644 ../../../$pkgname.logrotate ${pkgdir}/etc/logrotate.d/$pkgname
-	install -m755 -D ../../../$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
-	install -m644 -D ../../../$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
-	chown -R ejabberd.ejabberd "$pkgdir"/var/log/ejabberd
-	chown -R ejabberd.ejabberd "$pkgdir"/var/spool/ejabberd
-	chown -R ejabberd.ejabberd "$pkgdir"/var/lib/ejabberd
-	chgrp ejabberd "$pkgdir"/etc/ejabberd/ejabberd.cfg "$pkgdir"/etc/ejabberd/ejabberdctl.cfg "$pkgdir"/etc/ejabberd
-}
-
-md5sums="00f8f28752e6728870cb4c8ad0339984  ejabberd-2.1.13.tgz"
-sha256sums="a80d1c72e435da31758261cb0c04fe750ac71fc3e33a3b606123efd3b3abc86d  ejabberd-2.1.13.tgz"
-sha512sums="9348271f0cf1d9a7e6c53204121568e77820afc50fff1271e7b7ef66c5c5d7d067034c46472250423c4e9052046b18c1c8178f09eda0b0bfe25a1eac465fd07b  ejabberd-2.1.13.tgz"
diff --git a/unmaintained/ejabberd/ejabberd.confd b/unmaintained/ejabberd/ejabberd.confd
deleted file mode 100644
index b1e984e..0000000
--- a/unmaintained/ejabberd/ejabberd.confd
+++ /dev/null
@@ -1,5 +0,0 @@
-# Please configure everything at /etc/jabber/ejabberdctl.cfg
-# Put here only command line arguments for ejabberdctl (if any are required)
-
-#EJABBERDCTL_OPTS=""
-
diff --git a/unmaintained/ejabberd/ejabberd.initd b/unmaintained/ejabberd/ejabberd.initd
deleted file mode 100644
index 2d6d44d..0000000
--- a/unmaintained/ejabberd/ejabberd.initd
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-im/ejabberd/files/ejabberd-3.initd,v 1.3 2010/06/02 07:12:27 pva Exp $
-
-depend() {
-	use dns
-	need net
-	provide jabber-server
-}
-
-start() {
-	if ejabberdctl status >/dev/null 2>&1; then
-		ewarn "ejabberd is already started (manually?)."
-		return 0
-	fi
-	ebegin "Starting ejabberd"
-	/usr/sbin/ejabberdctl ${EJABBERDCTL_OPT} start
-	eend $?
-}
-
-stop() {
-	ejabberdctl status >/dev/null 2>&1
-	if test $? = 3; then
-		ewarn "ejabberd is already stopped (manually?)."
-		return 0
-	fi
-	ebegin "Stopping ejabberd"
-	if /usr/sbin/ejabberdctl stop >/dev/null 2>&1; then
-		cnt=0
-		sleep 1
-		while ejabberdctl status >/dev/null 2>&1 || test $? = 1; do
-			echo -n .
-			cnt=`expr $cnt + 1`
-			if [ $cnt -ge 60 ] ; then
-				eend 1
-				break
-			fi
-			sleep 1
-		done
-		eend 0
-	else
-		eend 1
-		einfo "Please, run '/usr/sbin/ejabberdctl stop' to see what's going on."
-	fi
-	eend 0
-}
diff --git a/unmaintained/ejabberd/ejabberd.logrotate b/unmaintained/ejabberd/ejabberd.logrotate
deleted file mode 100644
index 0306907..0000000
--- a/unmaintained/ejabberd/ejabberd.logrotate
+++ /dev/null
@@ -1,12 +0,0 @@
-/var/log/ejabberd/ejabberd.log {
-     weekly
-     missingok
-     rotate 10
-     compress
-     delaycompress
-     ifempty
-     nomail
-     sharedscripts
-     postrotate ejabberdctl --node ejabberd reopen-log > /dev/null
-     endscript
-}
diff --git a/unmaintained/ejabberd/ejabberd.pre-install b/unmaintained/ejabberd/ejabberd.pre-install
deleted file mode 100644
index 4111b31..0000000
--- a/unmaintained/ejabberd/ejabberd.pre-install
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-adduser -H -h /var/lib/ejabberd -G ejabberd -D ejabberd  2>/dev/null
-exit 0
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---